Kirjoittaja Aihe: Ubuntu 9.04: Jaunty Jackalope  (Luettu 146084 kertaa)

redu

  • Käyttäjä
  • Viestejä: 478
    • Profiili
Vs: Ubuntu 9.04: Jaunty Jackalope
« Vastaus #380 : 08.06.09 - klo:08.10 »
:PSanoisimpa, että  ovat heittäneet kehään jälleen kerran. Ei toimi TV.
Elikkä kaffeine ei Nebulan tv-kortilla suostu touimimuaan vaik tekis mitä!!! Näin oli jo betoiskin. Palaan vanhaan!
Ps. Muuten tuntuu toimivan OK. Buuttinopeus ei kyllä vaikuta kovinkaan ihmeelliseltä. Kun starttasin pöytäkoneen 8.10:een ja läppärin 9.04:ään niin pöykky voitti! (Tosin koneiden ominaisuuksia ei otettu huomioon)

Paha pettymys:
Päivitin Jauntyyn suuren innostuksen vallassa, koska 2.6.28-xx kernelin piti vihdoin sisältää ajurit DVB-S2-kortilleni (HD-kanavia satelliteista SD-kanavien lisäksi). Toisin kävi: Kaffeine 0.8.7 ei sisällä S2-tukea, ja Nebulan DVB-T sammui.
En voi siirtyä takaisin versioon 8.10, koska Kaffeine 0.8.8, jossa on S2-tuki on jo olemassa. Pitäisi vaan osata kääntää se Jauntyyn(!).

Pahaksi onneksi tämä kernelbugi, joka sammuttaa Nebulan DVB-T-kortin tekeekin minulle nyt sen, että DVB-katselut keskittyvät entistäkin enemmän Winku-linjalle. Onneksi kaikissa koneissani on tuplaboot. Tämä on periaatteessa väärää kehitystä.

Kummallista: Twinhan DVB-S-korttini, jossa on sama chip set kuin Nebulan kortissa toimii myös Jauntyssa?

Kysymys:
Korjataanko tällainen kernelbugi seuraavissa versioissa? Ainakaan 2.8.28.11 -> 2.8.28.12 ei muuttanut mitään? Tai korjataanko sitä edes Ubuntussa 9.10? Foorumeita katsellessa näyttää ilmeiseltä, että kyseessä on kernelvika, koska muissakin Linux-jakeluissa kerneli 2.8.28.xx sammuttaa Nebulan kortin.

redu
Ubuntua 98%, Winkua 2%

lompolo

  • Käyttäjä
  • Viestejä: 852
    • Profiili
Vs: Ubuntu 9.04: Jaunty Jackalope
« Vastaus #381 : 08.06.09 - klo:14.09 »
Lainaus
Kysymys:
Korjataanko tällainen kernelbugi seuraavissa versioissa? Ainakaan 2.8.28.11 -> 2.8.28.12 ei muuttanut mitään? Tai korjataanko sitä edes Ubuntussa 9.10? Foorumeita katsellessa näyttää ilmeiseltä, että kyseessä on kernelvika, koska muissakin Linux-jakeluissa kerneli 2.8.28.xx sammuttaa Nebulan kortin.

Käynnistettäessä voit valita grubin valikosta vanhemman kernelin (2.6.27-11-generic). Seuraavan mukaan se auttaisi.

https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/366606

Vika on siis ilmoitettu, mutta sitä ei ole varmistettu. Voit käydä itse muuttamassa asian seuraavasta linkistä.
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/366606/+editstatus

Suljetut näytönohjaimen ajurit aiheuttavat välillä muiden ajurien toimimattomuutta.

redu

  • Käyttäjä
  • Viestejä: 478
    • Profiili
Vs: Ubuntu 9.04: Jaunty Jackalope
« Vastaus #382 : 08.06.09 - klo:18.07 »
Lainaus
Kysymys:
Korjataanko tällainen kernelbugi seuraavissa versioissa? Ainakaan 2.8.28.11 -> 2.8.28.12 ei muuttanut mitään? Tai korjataanko sitä edes Ubuntussa 9.10? Foorumeita katsellessa näyttää ilmeiseltä, että kyseessä on kernelvika, koska muissakin Linux-jakeluissa kerneli 2.8.28.xx sammuttaa Nebulan kortin.

Käynnistettäessä voit valita grubin valikosta vanhemman kernelin (2.6.27-11-generic). Seuraavan mukaan se auttaisi.

https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/366606

Vika on siis ilmoitettu, mutta sitä ei ole varmistettu. Voit käydä itse muuttamassa asian seuraavasta linkistä.
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/366606/+editstatus

Suljetut näytönohjaimen ajurit aiheuttavat välillä muiden ajurien toimimattomuutta.


Kiitos Lompolo!
Ensin pitäis siis asentaa 8.10, ja ugradeta se 9.04:ksi? Jaunty puhtaalta pöydältä asennuksessani ei 2.6.27-11-generic-vaihtoehtoa  ole.

Mulla on proprietary NVIDIA-ohjain käytössä ja 42" Mirai-tölsö näyttönä. Muuta vaihtoehtoa ei tässä kokoonpanossa olekaan.

Olisi kiva tietää, korjataanko moista bugia koskaan? Kävin confirmoimassa bugin "launchpad":issa.

redu
Ubuntua 98%, Winkua 2%

lompolo

  • Käyttäjä
  • Viestejä: 852
    • Profiili
Vs: Ubuntu 9.04: Jaunty Jackalope
« Vastaus #383 : 08.06.09 - klo:18.45 »
Lainaus
Ensin pitäis siis asentaa 8.10, ja ugradeta se 9.04:ksi? Jaunty puhtaalta pöydältä asennuksessani ei 2.6.27-11-generic-vaihtoehtoa  ole.

Mulla on proprietary NVIDIA-ohjain käytössä ja 42" Mirai-tölsö näyttönä. Muuta vaihtoehtoa ei tässä kokoonpanossa olekaan.

Pitäisi sen vanhemman asennus onnistua muutenkin, luulin vaan että se oli jo asennettuna.

Paketit löytyy vaikkapa täältä. Ensin pitää asentaa linux-image paketti ja sen jälkeen restricted modules paketti. Pitää valita oikea arkkitehtuuri i386 tai amd64.
http://packages.ubuntu.com/intrepid/linux

Lainaus
Olisi kiva tietää, korjataanko moista bugia koskaan? Kävin confirmoimassa bugin "launchpad":issa.

Riippuu esimerkiksi siitä onko vika toistettavissa avoimilla ajureilla. Korjaukset tehdään ensin kehitysversiossa ja sen jälkeen mahdollisesti tuodaan vakaaseen versioon. Vakaan version korjaus riippuu siitä kuinka iso muutos on, kuinka tärkeäksi se arvioidaan ja riskistä, että joku muu laite lakkaa toimimasta korjauksen takia. Bugin varmistus on askel eteenpäin.  :)

redu

  • Käyttäjä
  • Viestejä: 478
    • Profiili
Vs: Ubuntu 9.04: Jaunty Jackalope
« Vastaus #384 : 09.06.09 - klo:15.21 »
Lainaus
Ensin pitäis siis asentaa 8.10, ja ugradeta se 9.04:ksi? Jaunty puhtaalta pöydältä asennuksessani ei 2.6.27-11-generic-vaihtoehtoa  ole.

Mulla on proprietary NVIDIA-ohjain käytössä ja 42" Mirai-tölsö näyttönä. Muuta vaihtoehtoa ei tässä kokoonpanossa olekaan.

Pitäisi sen vanhemman asennus onnistua muutenkin, luulin vaan että se oli jo asennettuna.

Paketit löytyy vaikkapa täältä. Ensin pitää asentaa linux-image paketti ja sen jälkeen restricted modules paketti. Pitää valita oikea arkkitehtuuri i386 tai amd64.
http://packages.ubuntu.com/intrepid/linux

Lainaus
Olisi kiva tietää, korjataanko moista bugia koskaan? Kävin confirmoimassa bugin "launchpad":issa.

Riippuu esimerkiksi siitä onko vika toistettavissa avoimilla ajureilla. Korjaukset tehdään ensin kehitysversiossa ja sen jälkeen mahdollisesti tuodaan vakaaseen versioon. Vakaan version korjaus riippuu siitä kuinka iso muutos on, kuinka tärkeäksi se arvioidaan ja riskistä, että joku muu laite lakkaa toimimasta korjauksen takia. Bugin varmistus on askel eteenpäin.  :)

Jaahas,
eli korjaus tullee aikaisintaan versioon 9.10? Ihmettelen, koska esimerkiksi wifi ajuri ath5k on uusittu jo Jauntyssakin jokaisessa kerneliviilauksessa: 2.6.28-11, 2.6.28-12, 2.6.28-13. Näin on tehty, koska ath5k oli alunperin raakile, ja on kai vieläkin?

redu
Ubuntua 98%, Winkua 2%

redu

  • Käyttäjä
  • Viestejä: 478
    • Profiili
DVB-S2 lähti käyntiin, mutta DVB-T sammui
« Vastaus #385 : 10.06.09 - klo:18.15 »
Olen nyt pahassa välikädessä:
Jauntyn uusi kerneli sisältää S2API:n valmiina, ja DVB-S2-korttini ajuri kääntyi melko kivuttomasti:
http://forum.ubuntu-fi.org/index.php?topic=12890.0

Toisaalta sama kerneli blokkasi Nebulan DVB-T-kortin käytön. Tuossa rytäkässä, kun käänsin DVB-S2-ajurin, myös uusin hg-ajuri Nebulalle tuli käyttöön. Vaan kun ei toimi tämäkään.

DVB-S2 ja h264:
Satelliiteissa on paljon h264-kanavia (DVB-S2) sekä HD:na että SD:nä. Jo oli aikakin sada DVB-S2 pelittämään Ubuntussa (Winkussa olen käyttänyt sitä jo 2v.)! Hienoa kuvaa! Paitsi että dekooderissa on sanomista: HD-käytössä tulee pikselöitiä aika-ajoin. Prossun käyttöprosentti iskee kattoon. Hassua on, että 1. ja 2. prossu eivät kuormitu tasaisesti, vaan tyypillisesti toisessa on 90% ja toisessa 30%, ja osat vaihtuvat n. kymmenien sekuntien välein? Winkussa on minulla paljon parempi h264-dekooderi (Cyberlink), joka käyttää prossua keskimäärin n. 50% vähemmän kuin tämä Linuxin dekooderi. Mikä sitten lieneekään ffmpg? Mistähän saisin paremman?

Laitteet ja softat:

uname -r
2.6.28-13-generic

Core2Duo 2.5G pöytäkone

Kaffeine 0.8.8, jossa on DVB-S2-tuki

redu
Ubuntua 98%, Winkua 2%